# Uses of Class
org.apache.commons.math3.analysis.polynomials.PolynomialSplineFunction

Packages that use PolynomialSplineFunction
Package
Description
org.apache.commons.math3.analysis.interpolation
Univariate real functions interpolation algorithms.
org.apache.commons.math3.analysis.polynomials
Univariate real polynomials implementations, seen as differentiable univariate real functions.

## Uses of PolynomialSplineFunction in org.apache.commons.math3.analysis.interpolation

Methods in org.apache.commons.math3.analysis.interpolation that return PolynomialSplineFunction
Modifier and Type
Method
Description
`PolynomialSplineFunction`
AkimaSplineInterpolator.`interpolate(double[] xvals, double[] yvals)`
Computes an interpolating function for the data set.
`PolynomialSplineFunction`
LinearInterpolator.`interpolate(double[] x, double[] y)`
Computes a linear interpolating function for the data set.
`final PolynomialSplineFunction`
LoessInterpolator.`interpolate(double[] xval, double[] yval)`
Compute an interpolating function by performing a loess fit on the data at the original abscissae and then building a cubic spline with a `SplineInterpolator` on the resulting fit.
`PolynomialSplineFunction`
SplineInterpolator.`interpolate(double[] x, double[] y)`
Computes an interpolating function for the data set.

## Uses of PolynomialSplineFunction in org.apache.commons.math3.analysis.polynomials

Methods in org.apache.commons.math3.analysis.polynomials that return PolynomialSplineFunction
Modifier and Type
Method
Description
`PolynomialSplineFunction`
PolynomialSplineFunction.`polynomialSplineDerivative()`
Get the derivative of the polynomial spline function.